Bug 546400 - SELinux is preventing /usr/bin/xauth "write" access on /usr/NX/home/nx.
Summary: SELinux is preventing /usr/bin/xauth "write" access on /usr/NX/home/nx.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:1e7d8861039...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 19:51 UTC by barsteadr
Modified: 2009-12-22 20:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:23 UTC
Type: ---


Attachments (Terms of Use)

Description barsteadr 2009-12-10 19:51:40 UTC
Summary:

SELinux is preventing /usr/bin/xauth "write" access on /usr/NX/home/nx.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by xauth. It is not expected that this access is
required by xauth and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:object_r:usr_t:s0
Target Objects                /usr/NX/home/nx [ dir ]
Source                        xauth
Source Path                   /usr/bin/xauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-xauth-1.0.2-7.fc12
Target RPM Packages           nxserver-3.4.0-8
Policy RPM                    selinux-policy-3.6.32-49.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-162.fc12.x86_64 #1 SMP Fri
                              Dec 4 00:06:26 EST 2009 x86_64 x86_64
Alert Count                   8
First Seen                    Mon 07 Dec 2009 07:25:47 PM CST
Last Seen                     Mon 07 Dec 2009 10:06:45 PM CST
Local ID                      d7147063-0822-47b5-a3ad-1b4bd8e25641
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260245205.792:34325): avc:  denied  { write } for  pid=13127 comm="xauth" name="nx" dev=dm-0 ino=122971 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usr_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1260245205.792:34325): avc:  denied  { add_name } for  pid=13127 comm="xauth" name=".Xauthority-c" scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usr_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1260245205.792:34325): avc:  denied  { create } for  pid=13127 comm="xauth" name=".Xauthority-c" scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:usr_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1260245205.792:34325): avc:  denied  { write open } for  pid=13127 comm="xauth" name=".Xauthority-c" dev=dm-0 ino=542 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:usr_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260245205.792:34325): arch=c000003e syscall=2 success=yes exit=128 a0=7ffff58d1770 a1=c1 a2=180 a3=7ffff58d1360 items=0 ppid=13126 pid=13127 auid=488 uid=488 gid=467 euid=488 suid=488 fsuid=488 egid=467 sgid=467 fsgid=467 tty=(none) ses=19 comm="xauth" exe="/usr/bin/xauth" subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-49.fc12,catchall,xauth,xauth_t,usr_t,dir,write
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t usr_t:dir { write add_name };
allow xauth_t usr_t:file { write create open };

Comment 1 Daniel Walsh 2009-12-10 20:51:23 UTC
Fixed in selinux-policy-3.6.32-58.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:54:26 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:42:38 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.